summaryrefslogtreecommitdiffstats
path: root/slackware64-current/source/a/logrotate/logrotate.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64-current/source/a/logrotate/logrotate.SlackBuild')
-rwxr-xr-xslackware64-current/source/a/logrotate/logrotate.SlackBuild106
1 files changed, 106 insertions, 0 deletions
diff --git a/slackware64-current/source/a/logrotate/logrotate.SlackBuild b/slackware64-current/source/a/logrotate/logrotate.SlackBuild
new file mode 100755
index 000000000..76cc34abe
--- /dev/null
+++ b/slackware64-current/source/a/logrotate/logrotate.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=${VERSION:-3.7.8}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-logrotate
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf logrotate-$VERSION
+tar xvf $CWD/logrotate-$VERSION.tar.?z* || exit 1
+cd logrotate-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fixup a few things:
+zcat $CWD/logrotate.slackware.diff.gz | patch -p1 || exit 1
+
+make clean
+make EXTRA_CFLAGS="$SLKCFLAGS" || exit 1
+strip logrotate
+
+mkdir -p $PKG/usr/sbin
+cat logrotate > $PKG/usr/sbin/logrotate
+chmod 0755 $PKG/usr/sbin/logrotate
+
+mkdir -p $PKG/usr/man/man8
+cat logrotate.8 | gzip -9c > $PKG/usr/man/man8/logrotate.8.gz
+
+# Create the logrotate.d directory and install the config file
+mkdir -p $PKG/etc/logrotate.d
+zcat $CWD/logrotate.conf.gz > $PKG/etc/logrotate.conf.new
+
+# Make logrotate run from cron every day
+mkdir -p $PKG/etc/cron.daily
+zcat $CWD/logrotate.cron.gz > $PKG/etc/cron.daily/logrotate
+chmod 0755 $PKG/etc/cron.daily/logrotate
+
+# Create the state directory
+mkdir -p $PKG/var/lib/logrotate
+
+mkdir -p $PKG/usr/doc/logrotate-$VERSION
+cp -a \
+ CHANGES COPYING READM* \
+ $PKG/usr/doc/logrotate-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/logrotate-$VERSION-$ARCH-$BUILD.txz
+